Package org.apache.sysds.runtime.instructions

# Class InstructionParser

java.lang.Object
org.apache.sysds.runtime.instructions.InstructionParser

Direct Known Subclasses:
  `CPInstructionParser`, `FEDInstructionParser`, `GPUInstructionParser`, `OOCInstructionParser`, `SPInstructionParser`

public class InstructionParser extends Object

## Constructor Summary

Constructors
Constructor
Description
`InstructionParser()`

## Method Summary

Modifier and Type
Method
Description
`static Instruction[]`
`parseMixedInstructions(String str)`
`static Instruction`
`parseSingleInstruction(String str)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InstructionParser

public InstructionParser()

## Method Details

### parseSingleInstruction

public static Instruction parseSingleInstruction(String str)

### parseMixedInstructions

public static Instruction[] parseMixedInstructions(String str)